> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow executions by phone number

> List all workflow executions for a given phone number within a workflow, including metadata and variables.



## OpenAPI

````yaml get /api/v1/workflow/{workflowId}/executions/by-phone
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/workflow/{workflowId}/executions/by-phone:
    get:
      tags:
        - Workflows
      summary: List workflow executions by phone number
      description: >-
        List all workflow executions for a given phone number within a workflow,
        including metadata and variables.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: workflowId
          in: path
        - schema:
            type: string
            pattern: ^\+[1-9]\d{1,14}$
            description: Phone number in E.164 format
            example: '+14155551234'
          required: true
          name: phoneNumber
          in: query
        - schema:
            type: string
            description: Base64-encoded pagination cursor
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            default: '10'
            description: Number of results per page (default 10, max 1000)
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Executions retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  executions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        workflowId:
                          type: string
                          format: uuid
                        status:
                          type: string
                        startedAt:
                          type: string
                        completedAt:
                          type: string
                          nullable: true
                        customerLeadId:
                          type: string
                          nullable: true
                        primaryPhone:
                          type: string
                          nullable: true
                        disposition:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                        stepIndex:
                          type: number
                        nextRunAt:
                          type: string
                          nullable: true
                        priorityDate:
                          type: string
                          nullable: true
                        metadata:
                          type: object
                          nullable: true
                          additionalProperties:
                            nullable: true
                        variables:
                          type: object
                          nullable: true
                          additionalProperties:
                            type: string
                      required:
                        - id
                        - workflowId
                        - status
                        - startedAt
                        - completedAt
                        - customerLeadId
                        - primaryPhone
                        - disposition
                        - createdAt
                        - stepIndex
                        - nextRunAt
                        - priorityDate
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                      nextCursor:
                        type: string
                    required:
                      - limit
                required:
                  - executions
                  - pagination
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````